Quantcast

[Csnd-dev] libcsnd6 OSX libc++ libstdc++

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Csnd-dev] libcsnd6 OSX libc++ libstdc++

Tarmo Johannes-3
Hi,

I am having  difficulties to build CsoundQt on OSX using some functionalities of the csnd6 library. The problem is that the library (Csound 6.0.8 from OSX installer) has libcsnd6.6.0.dylib built against libstdc++

 otool -L libcsnd.6.0.dylib 

/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 104.1.0)


But OSX from 10.9 on is pushing their own libstdc++ instead of libstd++  and they are not compatible. Qt versions from Qt 5.6 on use libc++ as default. I tried to configure to build CsoundQt against libstdc++ but failed for now. The current CsoundQt is built using Qt 5.4 but I would not like to stay on that.


What is your experience and what do you suggest? Could the libcsnd6 library be built using libc++ (as the std one will be abandoned

 in some point anyway)?


Thanks,

tarmo

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Csnd-dev] libcsnd6 OSX libc++ libstdc++

Victor Lazzarini
In my devel system, it’s linked to libc++. I think the installer script might be linking it to lib in the release script, and I’ll
look to change it.

otool -L libcsnd6.dylib
libcsnd6.dylib:
        /Users/victor/src/csound6/debug/libcsnd6.6.0.dylib (compatibility version 6.0.0, current version 0.0.0)
        /usr/local/lib/libsndfile.1.dylib (compatibility version 2.0.0, current version 2.25.0)
        /Users/victor/src/csound6/debug/CsoundLib64.framework/Versions/6.0/CsoundLib64 (compatibility version 6.0.0, current version 0.0.0)
        /usr/lib/libc++.1.dylib (compatibility version 1.0.0, current version 307.4.0)
        /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 1238.0.0)


========================
Prof. Victor Lazzarini
Dean of Arts, Celtic Studies, and Philosophy,
Maynooth University,
Maynooth, Co Kildare, Ireland
Tel: 00 353 7086936
Fax: 00 353 1 7086952

> On 28 Mar 2017, at 10:05, Tarmo Johannes <[hidden email]> wrote:
>
> Hi,
>
> I am having  difficulties to build CsoundQt on OSX using some functionalities of the csnd6 library. The problem is that the library (Csound 6.0.8 from OSX installer) has libcsnd6.6.0.dylib built against libstdc++
>
>  otool -L libcsnd.6.0.dylib
> /usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 104.1.0)
>
> But OSX from 10.9 on is pushing their own libstdc++ instead of libstd++  and they are not compatible. Qt versions from Qt 5.6 on use libc++ as default. I tried to configure to build CsoundQt against libstdc++ but failed for now. The current CsoundQt is built using Qt 5.4 but I would not like to stay on that.
>
> What is your experience and what do you suggest? Could the libcsnd6 library be built using libc++ (as the std one will be abandoned
>  in some point anyway)?
>
> Thanks,
> tarmo

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Csnd-dev] libcsnd6 OSX libc++ libstdc++

Tarmo Johannes-3
Good to know.
Can you perhaps send me your libcsnd6 of version 6.08 for testing?
Thanks,
Tarmo

28.03.2017 12:12 kirjutas kuupäeval "Victor Lazzarini" <[hidden email]>:
In my devel system, it’s linked to libc++. I think the installer script might be linking it to lib in the release script, and I’ll
look to change it.

otool -L libcsnd6.dylib
libcsnd6.dylib:
        /Users/victor/src/csound6/debug/libcsnd6.6.0.dylib (compatibility version 6.0.0, current version 0.0.0)
        /usr/local/lib/libsndfile.1.dylib (compatibility version 2.0.0, current version 2.25.0)
        /Users/victor/src/csound6/debug/CsoundLib64.framework/Versions/6.0/CsoundLib64 (compatibility version 6.0.0, current version 0.0.0)
        /usr/lib/libc++.1.dylib (compatibility version 1.0.0, current version 307.4.0)
        /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 1238.0.0)


========================
Prof. Victor Lazzarini
Dean of Arts, Celtic Studies, and Philosophy,
Maynooth University,
Maynooth, Co Kildare, Ireland
Tel: 00 353 7086936
Fax: 00 353 1 7086952

> On 28 Mar 2017, at 10:05, Tarmo Johannes <[hidden email]> wrote:
>
> Hi,
>
> I am having  difficulties to build CsoundQt on OSX using some functionalities of the csnd6 library. The problem is that the library (Csound 6.0.8 from OSX installer) has libcsnd6.6.0.dylib built against libstdc++
>
>  otool -L libcsnd.6.0.dylib
> /usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 104.1.0)
>
> But OSX from 10.9 on is pushing their own libstdc++ instead of libstd++  and they are not compatible. Qt versions from Qt 5.6 on use libc++ as default. I tried to configure to build CsoundQt against libstdc++ but failed for now. The current CsoundQt is built using Qt 5.4 but I would not like to stay on that.
>
> What is your experience and what do you suggest? Could the libcsnd6 library be built using libc++ (as the std one will be abandoned
>  in some point anyway)?
>
> Thanks,
> tarmo

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Csnd-dev] libcsnd6 OSX libc++ libstdc++

Victor Lazzarini
I don’t have a 6.08 build here (apart from the release). I have a debug build against the current git. Does that help?
========================
Prof. Victor Lazzarini
Dean of Arts, Celtic Studies, and Philosophy,
Maynooth University,
Maynooth, Co Kildare, Ireland
Tel: 00 353 7086936
Fax: 00 353 1 7086952

> On 28 Mar 2017, at 10:25, Tarmo Johannes <[hidden email]> wrote:
>
> Good to know.
> Can you perhaps send me your libcsnd6 of version 6.08 for testing?
> Thanks,
> Tarmo
>
> 28.03.2017 12:12 kirjutas kuupäeval "Victor Lazzarini" <[hidden email]>:
> In my devel system, it’s linked to libc++. I think the installer script might be linking it to lib in the release script, and I’ll
> look to change it.
>
> otool -L libcsnd6.dylib
> libcsnd6.dylib:
>         /Users/victor/src/csound6/debug/libcsnd6.6.0.dylib (compatibility version 6.0.0, current version 0.0.0)
>         /usr/local/lib/libsndfile.1.dylib (compatibility version 2.0.0, current version 2.25.0)
>         /Users/victor/src/csound6/debug/CsoundLib64.framework/Versions/6.0/CsoundLib64 (compatibility version 6.0.0, current version 0.0.0)
>         /usr/lib/libc++.1.dylib (compatibility version 1.0.0, current version 307.4.0)
>         /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 1238.0.0)
>
>
> ========================
> Prof. Victor Lazzarini
> Dean of Arts, Celtic Studies, and Philosophy,
> Maynooth University,
> Maynooth, Co Kildare, Ireland
> Tel: 00 353 7086936
> Fax: 00 353 1 7086952
>
> > On 28 Mar 2017, at 10:05, Tarmo Johannes <[hidden email]> wrote:
> >
> > Hi,
> >
> > I am having  difficulties to build CsoundQt on OSX using some functionalities of the csnd6 library. The problem is that the library (Csound 6.0.8 from OSX installer) has libcsnd6.6.0.dylib built against libstdc++
> >
> >  otool -L libcsnd.6.0.dylib
> > /usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 104.1.0)
> >
> > But OSX from 10.9 on is pushing their own libstdc++ instead of libstd++  and they are not compatible. Qt versions from Qt 5.6 on use libc++ as default. I tried to configure to build CsoundQt against libstdc++ but failed for now. The current CsoundQt is built using Qt 5.4 but I would not like to stay on that.
> >
> > What is your experience and what do you suggest? Could the libcsnd6 library be built using libc++ (as the std one will be abandoned
> >  in some point anyway)?
> >
> > Thanks,
> > tarmo
>

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Csnd-dev] libcsnd6 OSX libc++ libstdc++

Tarmo Johannes-3
I think so, since the API has not changed much and probably it should be fine for testing at least.
Thanks!
Tarmo

28.03.2017 13:28 kirjutas kuupäeval "Victor Lazzarini" <[hidden email]>:
I don’t have a 6.08 build here (apart from the release). I have a debug build against the current git. Does that help?
========================
Prof. Victor Lazzarini
Dean of Arts, Celtic Studies, and Philosophy,
Maynooth University,
Maynooth, Co Kildare, Ireland
Tel: 00 353 7086936
Fax: 00 353 1 7086952

> On 28 Mar 2017, at 10:25, Tarmo Johannes <[hidden email]> wrote:
>
> Good to know.
> Can you perhaps send me your libcsnd6 of version 6.08 for testing?
> Thanks,
> Tarmo
>
> 28.03.2017 12:12 kirjutas kuupäeval "Victor Lazzarini" <[hidden email]>:
> In my devel system, it’s linked to libc++. I think the installer script might be linking it to lib in the release script, and I’ll
> look to change it.
>
> otool -L libcsnd6.dylib
> libcsnd6.dylib:
>         /Users/victor/src/csound6/debug/libcsnd6.6.0.dylib (compatibility version 6.0.0, current version 0.0.0)
>         /usr/local/lib/libsndfile.1.dylib (compatibility version 2.0.0, current version 2.25.0)
>         /Users/victor/src/csound6/debug/CsoundLib64.framework/Versions/6.0/CsoundLib64 (compatibility version 6.0.0, current version 0.0.0)
>         /usr/lib/libc++.1.dylib (compatibility version 1.0.0, current version 307.4.0)
>         /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 1238.0.0)
>
>
> ========================
> Prof. Victor Lazzarini
> Dean of Arts, Celtic Studies, and Philosophy,
> Maynooth University,
> Maynooth, Co Kildare, Ireland
> Tel: 00 353 7086936
> Fax: 00 353 1 7086952
>
> > On 28 Mar 2017, at 10:05, Tarmo Johannes <[hidden email]> wrote:
> >
> > Hi,
> >
> > I am having  difficulties to build CsoundQt on OSX using some functionalities of the csnd6 library. The problem is that the library (Csound 6.0.8 from OSX installer) has libcsnd6.6.0.dylib built against libstdc++
> >
> >  otool -L libcsnd.6.0.dylib
> > /usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 104.1.0)
> >
> > But OSX from 10.9 on is pushing their own libstdc++ instead of libstd++  and they are not compatible. Qt versions from Qt 5.6 on use libc++ as default. I tried to configure to build CsoundQt against libstdc++ but failed for now. The current CsoundQt is built using Qt 5.4 but I would not like to stay on that.
> >
> > What is your experience and what do you suggest? Could the libcsnd6 library be built using libc++ (as the std one will be abandoned
> >  in some point anyway)?
> >
> > Thanks,
> > tarmo
>

Loading...